module.exports = {
  create: {
    requestBody: [
      "no",
      "!owner",
      "supply_type",
      "supplier",
      "goods",
      "send_time",
      "out_bill",
      "remark",
      "is_js",
      "route",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "no",
      "!owner",
      "supply_type",
      "supplier",
      "goods",
      "send_time",
      "out_bill",
      "remark",
      "route",
      "is_js",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        no: "%no%",
        owner: "owner",
        supply_type: "supply_type",
        client: "client",
        "send_time@start": "send_time@start",
        "send_time@end": "send_time@end",
        "rq_arrive_time@start": "rq_arrive_time@start",
        is_js: "is_js",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
