module.exports = {
  create: {
    requestBody: [
      "!name",
      "!tel",
      "!id_card",
      "!drive_card",
      "fhc_time",
      "car_type",
      "ccu_time",
      "cc_time",
      "qc_time",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "!tel",
      "!id_card",
      "!drive_card",
      "fhc_time",
      "car_type",
      "ccu_time",
      "cc_time",
      "qc_time",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        tel: "tel",
        id_card: "id_card",
        drive_card: "drive_card",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
